> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/workflows/designing-workflows/processes/shape-repository/service-task/delegates/addcomment-delegate.md).

# AddComment delegate

The **AddComment** delegate adds comments to the current workflow business item. It is also capable of adding comment for guest users (= users that started the workflow as guest).

| Field name          | Required | Description                                                                                                                                                                                                                                                                                              |
| ------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| comment             | Yes      | A string representation of the actual comment that needs to be added. The comment will be added to the current business item using the current user.                                                                                                                                                     |
| guestUserExpression | No       | The expression evaluating to the guest user that is adding this comment. This overrides the default behavior so that this comment is not added by the current user, but by the specified guest user instead. The user expression should resolve to only one user, otherwise an exception will be thrown. |
| parent              | No       | If you want to add a reply to an already existing parent comment, fill in the id of the parent comment here. This does not have to be a comment of the current workflow business item.                                                                                                                   |
| resultVariableName  | No       | The name of the variable that the result will be set in, if not given the result will be set in the variable named "output".                                                                                                                                                                             |

The delegate is deprecated. Replace your service task containing this delegate with a script task, for example:

```
<scriptTask id="scripttask1" name="Store comment" scriptFormat="groovy" activiti:autoStoreVariables="false">
    <script><![CDATA[
        import com.collibra.dgc.core.api.dto.instance.comment.AddCommentRequest
        commentApi.addComment(AddCommentRequest.builder()
            .content("The content of the comment.")
            .baseResourceId(item.getId())
            .baseResourceType(item.getType())
            .build())
    ]]></script>
</scriptTask>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/workflows/designing-workflows/processes/shape-repository/service-task/delegates/addcomment-delegate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
